﻿using System.ComponentModel.DataAnnotations;

namespace SimpleMVC3Demo.Models
{
    /// <summary>
    /// 客人信息类
    /// </summary>
    public class GuestResponse
    {
        [Required(ErrorMessage = "姓名不能为空")]
        public string Name { get; set; }

        [Required(ErrorMessage = "邮箱地址不能为空")]
        [RegularExpression(".+\\@.+\\..+", ErrorMessage = "请输入合法的邮箱地址")]
        public string Email { get; set; }

        [Required(ErrorMessage = "电话不能为空")]
        public string Phone { get; set; }

        [Required(ErrorMessage = "请选择是否参加")]
        public bool? WillAttend { get; set; }   //是否参加（可空类型）
    }
}